import {
  SuperTabs,
  STab,
  STabs,
  STabList,
  STabProgress,
} from '@utils/components/tab.styled'
import { Panel } from '@bumaga/tabs'

import { TabInteraction, TabCode } from '@constants/story'

import Code from './{{name}}.code.mdx'
import Interaction from './{{name}}.interaction.mdx'

# Mode

<SuperTabs>
  <STabs>
    <STabList>
      <STab> {TabInteraction} </STab>
      <STab> {TabCode} </STab>
    </STabList>
    <STabProgress />
    <Panel>
      <Interaction />
    </Panel>
    <Panel>
      <Code />
    </Panel>
  </STabs>
</SuperTabs>
